%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Date-Manip
Version:       6.43
Release:       1mamba
Summary:       Date::Manip - This is a set of routines designed to make any common date/time manipulation easy to do.
Group:         Development/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Aleph0 <aleph0@openmamba.org>
URL:           http://www.cpan.org
Source:        http://www.cpan.org/modules/by-module/Date/Date-Manip-%{version}.tar.gz
License:       GPL
Requires:      perl >= %perl_major_ver
## AUTOBUILDREQ-BEGIN
BuildRequires: perl-devel
BuildRequires: perl-YAML-Syck
## AUTOBUILDREQ-END
BuildRequires: perl-devel >= %perl_major_ver
BuildRequires: perl-Test-Inter
BuildArch:     noarch
BuildRoot:     %{_tmppath}/perl-root

%description
This is a set of routines designed to make any common date/time manipulation easy to do.
Operations such as comparing two times, calculating a time a given amount of time from another, or parsing international times are all easily done.
From the very beginning, the main focus of Date::Manip has been to be able to do ANY desired date/time operation easily, not necessarily quickly.
Also, it is definitely oriented towards the type of operations we (as people) tend to think of rather than those operations used routinely by computers.
There are other modules that can do a subset of the operations available in Date::Manip much quicker than those presented here, so be sure to read the section SHOULD I USE DATE::MANIP below before deciding which of the Date and Time modules from CPAN is for you.

%prep
%setup -q -n Date-Manip-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Sat May 24 2014 Automatic Build System <autodist@mambasoft.it> 6.43-1mamba
- automatic update by autodist

* Sat Mar 09 2013 Automatic Build System <autodist@mambasoft.it> 6.39-1mamba
- automatic version update by autodist

* Thu Jan 10 2013 Automatic Build System <autodist@mambasoft.it> 6.38-1mamba
- automatic version update by autodist

* Fri Nov 16 2012 Automatic Build System <autodist@mambasoft.it> 6.36-1mamba
- automatic version update by autodist

* Fri Oct 12 2012 Automatic Build System <autodist@mambasoft.it> 6.34-1mamba
- automatic version update by autodist

* Thu Aug 16 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 6.32-1mamba
- update to 6.32

* Sun Jan 15 2012 Automatic Build System <autodist@mambasoft.it> 5.56-1mamba
- automatic version update by autodist

* Thu Feb 05 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 5.54-1mamba
- automatic update by autodist

* Tue Nov 04 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 5.46-2mamba
- automatic rebuild by autodist

* Tue Nov 20 2007 Aleph0 <aleph0@openmamba.org> 5.46-1mamba
- update to 5.46

* Thu Oct 28 2004 Mirko Cortillaro <mirko.cortillaro@qilinux.it> 5.42a-1qilnx
- package created by autospec
